> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/mobilitymode.md).

# MobilityMode

## Overview

MobilityMode는 인스턴스의 이동 가능 여부를 정의하는 Enum입니다. Static으로 설정된 객체는 사전 계산 데이터를 활용하여 성능을 최적화하고, Movable로 설정된 객체는 런타임에서 동적으로 이동할 수 있습니다.

## Items

| Name    | Value | Description                                                      |
| ------- | ----- | ---------------------------------------------------------------- |
| Static  | 0     | 정적 객체입니다. 위치, 회전, 크기가 변하지 않으며 라이트맵 등 사전 계산 데이터를 활용하여 성능을 최적화합니다. |
| Movable | 1     | 동적 객체입니다. 이동, 회전, 애니메이션이 가능하며 런타임에서 동적으로 변경할 수 있습니다.             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/mobilitymode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
